name: 'Networking tunnel: permtest'
universal_id: redhat_tunctl_permtest
maintainers:
  - name: Jianlin Shi
    email: jishi@redhat.com
    gitlab: linup2011
origin: kernel_public_tests
location: networking/tunnel/tunctl/permtest
enabled:
  not:
    trees:
      or:
        - rhel7[3-4]-z
        - rhel6.*
        # eln only run an small set of tests
        - eln
target_sources:
  - drivers/net/tun\.c
  - drivers/net/loopback\.c
trigger_sources:
  - drivers/net/.*
  - include/net/.*
  - net/.*
sets:
  - cloud
  - net
max_duration_seconds: 3600
